Subject: Re: FVWM: FvwmPager colour update bug.

From: Dan Espen <[email-masked]>
Date: Sat, 09 Feb 2002 10:00:41 -0500

This response if from Dominik Vogt, 
if you want to reply, reply to [email-masked]

On Tue, Feb 05, 2002 at 03:33:32PM +0100, Marcus Lundblad wrote:
> 
> On Tue, 5 Feb 2002, Mikhael Goikhman wrote:
> 
> > On 05 Feb 2002 01:45:50 +0100, Marcus Lundblad wrote:
> > > 
> > > If you change the inactive border colour of windows it sometimes doesn't
> > > affect the colour shown in the pager until that window is dragged so that
> > > parts of it are outside of the screen (or so it seems)
> > > Is this a bug or is this not supposed to work?
> > 
> > Can you post full instructions how to reproduce this?
> > I can't reproduce this with colorsets.
> 
> I have the borders set to a clear indigo blue for active and pale blueish
> gray for inactive windows. The pager is not set to show custom colours, so
> it now shows these as it's supposed to.
> Now I do: Style * BackColor white
> in the FvwmTalk module.
> Right now the real windows have updated as they should, but the pager
> shows the old colour (gray for inactive).
> Even if I move the pointer into anouther window (sloppy focus on) the
> colours in the pager doesn't change.
> I close the talk window, no difference.
> Then I move the rxvt running this pine slightly off the screen and then
> back. Now when I move the pointer to another window the rxvt turns white
> in the pager.
> This same procedure can be reproduced on every window. They don't seem to
> get affected until being dragged outside the screen.
> 
> Now I shall try with the active colour (haven't done that yet).
> I enter: Style * HilightBack green in FvwmTalk
> Now the colours on the screen changes (but this is ofcourse only the
> FvwmTalk window, since it is active). But the FvwmTalk window in the pager
> is still the old colour.
> Now when I position the mouse pointer at the rxvt, it gets the colour
> green also in the pager. And if I move back to FvwmTalk it becomes green
> in the pager.
> So it seems for active windows it updates as soon as they are focused.
> 
> So now I've ended up with a pager with windows of 3 different colours
> (besides have weird border colours....)
> 
> I hope this description will help.

This is indeed a bug in the pager, but I suggest that we do not
fix this, since it would require adding a lot of unnecessary code
to fvwm.  Unnecessary because updating colours is already handled
perfectly using colour sets.  I suggest to define a colour sets
for window and module decorations and use these instead.  It makes
no sense to maintain the old, inferior colour handling code in the
modules if there is a much better solution available with colour
sets managed by FvwmTheme (if you need help to configure this,
just ask).

Bye

Dominik ^_^  ^_^

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214             E-mail: [email-masked]
Piscataway, NJ 08854                       Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].